LibreOffice: Frame Service Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
List of all members
Frame Service Referencepublished

represents the environment for a desktop component More...

`import <Frame.idl;`

Inheritance diagram for Frame:

## Additional Inherited Members
Exported Interfaces inherited from XFrame2
interface | XDispatchProvider
| provides access to dispatchers for the frame.
interface | XDispatchInformationProvider
| provides information about supported commands
interface | XDispatchProviderInterception
| supports interception mechanism for dispatched URLs
interface | XFramesSupplier
| Provides access to sub frames within this frame, and via its XFrame sub-interface: Allows the component to be loaded and accessed within the frame; it is the main connection to the environment of the component.
interface | com::sun::star::task::XStatusIndicatorFactory
| supplies access to com::sun::star::task::XStatusIndicator objects for the component within the frame to show progresses
Public Member Functions inherited from XDispatchProvider
XDispatch | queryDispatch ([in] com::sun::star::util::URL URL, [in] string TargetFrameName, [in] long SearchFlags)
| searches for an XDispatch for the specified URL within the specified target frame.
sequence< XDispatch > | queryDispatches ([in] sequence< DispatchDescriptor > Requests)
| actually this method is redundant to XDispatchProvider::queryDispatch() to avoid multiple remote calls.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XDispatchInformationProvider
sequence< short > | getSupportedCommandGroups ()
| returns all supported command groups.
sequence< DispatchInformation > | getConfigurableDispatchInformation ([in] short CommandGroup)
| returns additional information about supported commands of a given command group.
Public Member Functions inherited from XDispatchProviderInterception
void | registerDispatchProviderInterceptor ([in] XDispatchProviderInterceptor Interceptor)
| registers an XDispatchProviderInterceptor, which will become the first interceptor in the chain of registered interceptors.
void | releaseDispatchProviderInterceptor ([in] XDispatchProviderInterceptor Interceptor)
| removes an XDispatchProviderInterceptor which was previously registered
Public Member Functions inherited from XFramesSupplier
XFrames | getFrames ()
| provides access to this container and to all other XFramesSupplier which are available from this node of frame tree
XFrame | getActiveFrame ()
| gets the current active frame of this container (not of any other available supplier)
void | setActiveFrame ([in] XFrame Frame)
| is called on activation of a direct sub-frame.
Public Member Functions inherited from XFrame
void | initialize ([in] com::sun::star::awt::XWindow xWindow)
| is called to initialize the frame within a window - the container window.
com::sun::star::awt::XWindow | getContainerWindow ()
| provides access to the container window of the frame.
void | setCreator ([in] XFramesSupplier Creator)
| sets the frame container that created this frame.
XFramesSupplier | getCreator ()
| provides access to the creator (parent) of this frame
string | getName ()
| access to the name property of this frame
void | setName ([in] string aName)
| sets the name of the frame.
XFrame | findFrame ([in] string aTargetFrameName, [in] long nSearchFlags)
| searches for a frame with the specified name.
boolean | isTop ()
| determines if the frame is a top frame.
void | activate ()
| activates this frame and thus the component within.
void | deactivate ()
| is called by the creator frame when another sub-frame gets activated.
boolean | isActive ()
| determines if the frame is active.
boolean | setComponent ([in] com::sun::star::awt::XWindow xComponentWindow, [in] XController xController)
| sets a new component into the frame or release an existing one from a frame.
com::sun::star::awt::XWindow | getComponentWindow ()
| provides access to the component window
XController | getController ()
| provides access to the controller
void | contextChanged ()
| notifies the frame that the context of the controller within this frame changed (i.e.
void | addFrameActionListener ([in]XFrameActionListener xListener)
| registers an event listener, which will be called when certain things happen to the components within this frame or within sub-frames of this frame.
void | removeFrameActionListener ([in] XFrameActionListener xListener)
| unregisters an event listener
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XStatusIndicatorFactory
com::sun::star::task::XStatusIndicator | createStatusIndicator ()
| create a new status indicator instance
Public Attributes inherited from XFrame2
com::sun::star::container::XNameContainer | UserDefinedAttributes
| contains user defined attributes.
string | Title
| if possible it sets/gets the UI title on/from the frame container window
XDispatchRecorderSupplier | DispatchRecorderSupplier
| provides access to the dispatch recorder of the frame
com::sun::star::uno::XInterface | LayoutManager
| Provides access to the LayoutManager of the frame.

## Detailed Description

represents the environment for a desktop component

Frames are the anchors for the office components and they are the component's link to the outside world. They create a skeleton for the whole office API infrastructure by building frame hierarchies. These hierarchies contains all currently loaded documents and make it possible to walk during these trees. A special service Desktop can(!) combine different of such trees to a global one which life time will be controlled by it.

See also
  Desktop

Developers Guide
  Office Development - Creating Frames Manually - Frame Creation
  Office Development - Frames - Linking Components and Windows

The documentation for this service was generated from the following file:

- com/sun/star/frame/Frame.idl